.container {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  height: 100vh;
  width: 30%;
  padding: 100px 50px 50px 50px;
  background: #ffffff;
  border: 1px solid #8d8b88;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;

  & > div {
    margin-top: 5px;
    line-height: 22px;
    color: #3e3e3e;
    display: flex;
    align-items: center;

    label {
      margin-left: 5px;
    }
  }

  .join-us {
    background: #007eba;
    border: 2px solid #007eba;
    box-sizing: border-box;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    padding: 30px 40px;
    color: #ffffff;
    font-size: 18px;
    font-weight: 400;
    flex-direction: column;
    margin-top: 7%;

    p {
      margin: 0 0 20px;
      text-align: center;
      b {
        font-weight: 700;
      }
    }

    button {
      background: #ffffff;
      border-radius: 5px;
      padding: 13px 22px;
      color: rgba(0, 126, 186, 1);
      font-size: 18px;
      font-weight: 600;

      &:hover {
        color: rgb(0, 80, 117);
        background: #e2e2e2;
      }
    }
  }
}

h2 {
  font-size: 20px;
  font-weight: 300;
  color: #908c8c;
  margin-bottom: 7%;
  border-bottom: 2px solid #007eba;
  padding: 10px;
  align-self: center;

  b {
    color: #007eba;
    font-weight: 700;
  }
}

p {
  margin-top: 30px;
  margin-bottom: 25px;
}

.exit-btn {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 30px;
  font-size: 18px;
  color: #d1d1d1 !important;
  position: relative;
  left: 8px;
}

.search-input {
  width: 100%;
  height: 44px;
  border: 1px solid #007eba;
  box-sizing: border-box;
  border-radius: 10px 0 0 10px;
  padding: 0 5px;
}

.search {
  margin-bottom: 7%;

  button {
    width: 45px;
    height: 44px;
    background: #007eba;
    border-radius: 0px 10px 10px 0px;
    color: #ffffff;

    &:hover {
      color: #e4e4e4;
    }

    span {
      font-size: 22px;
      position: relative;
      top: 2px;
      left: 1px;
    }
  }
}

.types-row {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  font-weight: 300;
  margin-bottom: 30px;

  label {
    span {
      position: relative;
      top: 45px;
      white-space: nowrap;
    }
  }
}

input[type="checkbox"] {
  display: none;
}

input + label {
  display: inline-block;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  cursor: pointer;
  background-position: center;
  background-size: cover;
}

input + label[for="metal"] {
  background-image: url(../../../assets/metal.png);
}

input + label[for="plastic"] {
  background-image: url(../../../assets/plastic.png);
}

input + label[for="paper"] {
  background-image: url(../../../assets/paper.png);
}

input + label[for="organic"] {
  background-image: url(../../../assets/organic.png);
}

input + label[for="ewaste"] {
  background-image: url(../../../assets/e-waste.png);
}

input + label[for="lightbulbs"] {
  background-image: url(../../../assets/light-bulbs.png);
}

input + label[for="clothes"] {
  background-image: url(../../../assets/clothes.png);
}

input + label[for="glass"] {
  background-image: url(../../../assets/glass.png);
}

input + label[for="batteries"] {
  background-image: url(../../../assets/batteries.png);
}

input[type="checkbox"]:checked + label[for="paper"] {
  background-image: url(../../../assets/mapbox-icon-paper.png);
}

input[type="checkbox"]:checked + label[for="plastic"] {
  background-image: url(../../../assets/mapbox-icon-plastic.png);
}

input[type="checkbox"]:checked + label[for="metal"] {
  background-image: url(../../../assets/mapbox-icon-metal.png);
}

input[type="checkbox"]:checked + label[for="batteries"] {
  background-image: url(../../../assets/mapbox-icon-batteries.png);
}

input[type="checkbox"]:checked + label[for="glass"] {
  background-image: url(../../../assets/mapbox-icon-glass.png);
}

input[type="checkbox"]:checked + label[for="clothes"] {
  background-image: url(../../../assets/mapbox-icon-clothes.png);
}

input[type="checkbox"]:checked + label[for="lightbulbs"] {
  background-image: url(../../../assets/mapbox-icon-light-bulbs.png);
}

input[type="checkbox"]:checked + label[for="ewaste"] {
  background-image: url(../../../assets/mapbox-icon-e-waste.png);
}

input[type="checkbox"]:checked + label[for="organic"] {
  background-image: url(../../../assets/mapbox-icon-organic.png);
}
